Album: Album of Stories and Imagination
Date: October 25, 2023
Date Added: April 13, 2024
URLs:
- https://youtube.com/playlist?list=PLLpJOCBZPPYWqvFfcGhG8At2umCPN8bdC
- https://soundcloud.com/latadenata/sets/album-of-stories-and
- https://www.newgrounds.com/album/317196/album-of-stories-and-imagination
Artists:
- Latadenata
Cover Artists:
- Delsito
Wallpaper Artists:
- Delsito
- Jebb (edits for wiki)
Wallpaper File Extension: png
Cover Art File Extension: png
Track Art File Extension: png
Color: '#a059ec'
Groups:
- Fandom
Commentary: |-
    <i>Latadenata:</i> ([YouTube description](https://www.youtube.com/watch?v=GkAMXbtgLwM), excerpt)

    Album of Stories and Imagination is a homestuck-inspired album made by me (Latadenata).

    This album was made for a roleplaying group of friends that are currently playing a custom SBURB game session with their original characters (that you can see on the cover art for the album!)

    Each song was made to represent important moments of the story and their characters, such as character themes, bossfights, land themes... Just so the roleplay would be even more epic. And because I really like making music. Even more if it's homestuck-themed music.

    The cover art of the album is heavily inspired by the cover for the homestuck album [[album:coloUrs-and-mayhem-universe-a|Colours and Mayhem Universe A]] & [[album:coloUrs-and-mayhem-universe-b|B]], made originally by the amazing artist [[artist:shelby-cragg|Shelby Cragg]]. This cover art, however, was made by our amazing Delsito which you can support on twitter: https://twitter.com/Delsote_

    <i>Latadenata:</i> ([Newgrounds album description](https://www.newgrounds.com/album/317196/album-of-stories-and-imagination))

    An album I made for a DnD roleplaying session of a custom SBURB game!
---
Section: Main album
---
Track: Land of Nature and Bets
Date First Released: October 14, 2023
Duration: '01:53'
URLs:
- https://youtu.be/GkAMXbtgLwM
- https://soundcloud.com/latadenata/land-of-nature-and-bets
- https://www.newgrounds.com/audio/listen/1256058
Commentary: |-
    <i>Latadenata:</i> ([YouTube description](https://youtu.be/GkAMXbtgLwM), excerpt)

    Isn't it a beautiful place? Everyone would love to be here as you are! I would even say that all of your friends would prefer being here than in their selected lands! ...Do you want to bet on that?

    <hr>

    Made with:

    - FL Studio 20
    - BBC Symphony Orchestra
    - EWHarp2
    - Albion ONE
    - Heavyocity Damage

    <i>Latadenata:</i> ([Newgrounds short description](https://www.newgrounds.com/album/317196/album-of-stories-and-imagination))

    First song of my homestuck inspired album!
---
Track: Isle Of Artificial Life
Additional Names:
- Name: >-
    Isle of Artificial Life
  Annotation: >-
    [SoundCloud](https://soundcloud.com/latadenata/isle-of-artificial-life),
    [Newgrounds](https://www.newgrounds.com/audio/listen/1256063)
Date First Released: October 15, 2023
Duration: '02:09'
URLs:
- https://youtu.be/J2qN90UQ2ro
- https://soundcloud.com/latadenata/isle-of-artificial-life
- https://www.newgrounds.com/audio/listen/1256063
Commentary: |-
    <i>Latadenata:</i> ([YouTube description](https://youtu.be/J2qN90UQ2ro), excerpt)

    I hope you don't like this place too much, since we're going to be away very soon anyways.

    <hr>

    Made with:

    - FL Studio 20
    - Ample Ethno U
    - Ample Guitar M

    <i>Latadenata:</i> ([Newgrounds short description](https://www.newgrounds.com/album/317196/album-of-stories-and-imagination))

    Chill song based on the waves of the beach
---
Track: Land Of Mafia And Crime
Additional Names:
- Name: >-
    Land of Mafia and Crime
  Annotation: >-
    [SoundCloud](https://soundcloud.com/latadenata/land-of-mafia-and-crime),
    [Newgrounds](https://www.newgrounds.com/audio/listen/1256065)
Date First Released: October 16, 2023
Duration: '01:42'
URLs:
- https://youtu.be/4i8Neq-3H14
- https://soundcloud.com/latadenata/land-of-mafia-and-crime
- https://www.newgrounds.com/audio/listen/1256065
Commentary: |-
    <i>Latadenata:</i> ([YouTube description](https://youtu.be/4i8Neq-3H14), excerpt)

    Let me tell you a story...

    Made with:

    - FL Studio 20
    - Ample Guitar M
    - 4Font Bass
    - Session Horns Pro
    - Cuba Library

    <i>Latadenata:</i> ([Newgrounds short description](https://www.newgrounds.com/album/317196/album-of-stories-and-imagination))

    A try to make an spanish guitar mafia style song.
---
Track: Land Of Hunger And Savageness
Additional Names:
- Name: >-
    Land of Hunger and Savageness
  Annotation: >-
    [SoundCloud](https://soundcloud.com/latadenata/land-of-hunger-and-savageness),
    [Newgrounds](https://www.newgrounds.com/audio/listen/1256068)
Date First Released: October 17, 2023
Duration: '01:28'
URLs:
- https://youtu.be/9KrJdLTGzZM
- https://soundcloud.com/latadenata/land-of-hunger-and-savageness
- https://www.newgrounds.com/audio/listen/1256068
Commentary: |-
    <i>Latadenata:</i> ([YouTube description](https://youtu.be/9KrJdLTGzZM), excerpt)

    Lambda, Lambda! Don't be scared, I'm here with you!

    <hr>

    Made with:

    - FL Studio 20
    - Serum
    - Ample Guitar M
    - Heavyocity Damage
    - Albion ONE
    - VOXOS Epic Choir
    - Sforzando

    <i>Latadenata:</i> ([Newgrounds short description](https://www.newgrounds.com/album/317196/album-of-stories-and-imagination))

    creepy dangerous song!
---
Track: Trapped
Directory: trapped-album-of-stories-and-imagination
Always Reference By Directory: true
Date First Released: October 18, 2023
Duration: '02:20'
URLs:
- https://youtu.be/WnbHoiK42eY
- https://soundcloud.com/latadenata/trapped
- https://www.newgrounds.com/audio/listen/1256070
Commentary: |-
    <i>Latadenata:</i> ([YouTube description](https://youtu.be/WnbHoiK42eY), excerpt)

    Meanwhile your friends are having fun, you're here trapped with M̶̢̲̥̻̺̍̊̀̃͘E̷̞̓̿̓́. I guess not everyone is so lucky... HAHAH̶̠̫̱̟̊͌̎͑̐͆͊̚͜Ą̶̞̫͎̰̪̼͚̼͙̂̌̐̈́̒͒͆͑̎̕͝͠ͅH̶͉̯̗̩͇̹̞̪̔͐̄A̵̧̨̨̛͍̰̠͍̱͍̹͐̃͋͂͊͜͝H̸̫̫̰̺͙̖͇͙̗̭̾̄̆̃̈́̿̋̍͘Ȃ̴̛̘͙͇̰̠͕͕̥̹̜̮̝͗͜Ḩ̴̧̼̪̻͇̺̠̲̮̳̲͍̃̏͌̑̕̕͝͝ͅͅA̴̧̨͍̲̙̻̹͙̰̗̼̦͉̕͠

    <hr>

    Made with:

    - FL Studio 20
    - Nexus
    - LABS Soft Piano
    - Alpine Project
    - Cymatics Origin
    - Krush

    <i>Latadenata:</i> ([Newgrounds short description](https://www.newgrounds.com/album/317196/album-of-stories-and-imagination))

    when you're stuck with an evil god
---
Track: Night at the Artificial Isle
Additional Names:
- Name: >-
    Night at the Isle of Artifical Life
  Annotation: >-
    [SoundCloud](https://soundcloud.com/latadenata/night-at-the-isle-of-artifical)
Date First Released: October 19, 2023
Duration: '01:21'
Referenced Tracks:
- Isle Of Artificial Life
URLs:
- https://youtu.be/LsVJmPzRMVU
- https://soundcloud.com/latadenata/night-at-the-isle-of-artifical
- https://www.newgrounds.com/audio/listen/1256307
Commentary: |-
    <i>Latadenata:</i> ([YouTube description](https://youtu.be/LsVJmPzRMVU), excerpt)

    Fine... I guess we can rest for a little bit.
    ...
    Do you feel a little uneasy too?

    <hr>

    Made with:

    - FL Studio 20
    - Ample Ethno U
    - 4Font Bass
    - Ample Guitar M

    <i>Latadenata:</i> ([Newgrounds short description](https://www.newgrounds.com/album/317196/album-of-stories-and-imagination))

    Ambiental night at the beach song
---
Track: Rich Goodguy
Date First Released: October 20, 2023
Duration: '02:19'
URLs:
- https://youtu.be/qf0vqWwR3_I
- https://soundcloud.com/latadenata/rich-goodguy
- https://www.newgrounds.com/audio/listen/1256610
Commentary: |-
    <i>Latadenata:</i> ([YouTube description](https://youtu.be/qf0vqWwR3_I), excerpt)

    ...Did the player break again!? Agh, come on!

    <hr>

    Made with:

    - FL Studio 20
    - The Grandeur
    - DSK Saxophone
    - Session Horns Pro
    - 70s AbbeyRoad Drummer

    <i>Latadenata:</i> ([Newgrounds short description](https://www.newgrounds.com/album/317196/album-of-stories-and-imagination))

    Character theme for a good shady guy.
---
Track: Aliens
Date First Released: October 21, 2023
Duration: '01:10'
URLs:
- https://youtu.be/zR_JI1kbdw8
- https://soundcloud.com/latadenata/aliens
- https://www.newgrounds.com/audio/listen/1256894
Commentary: |-
    <i>Latadenata:</i> ([YouTube description](https://youtu.be/zR_JI1kbdw8), excerpt)

    They were humans
    They were trolls
    Can I make it any more obvious?

    <hr>

    Made with:

    - FL Studio 20
    - The Grandeur
    - Albion ONE

    <i>Latadenata:</i> ([Newgrounds short description](https://www.newgrounds.com/album/317196/album-of-stories-and-imagination))

    When different species meet!
---
Track: Someone We Used To Know
Date First Released: October 22, 2023
Duration: '02:35'
URLs:
- https://youtu.be/tIAlkc_2Zgc
- https://soundcloud.com/latadenata/someone-we-used-to-know
- https://www.newgrounds.com/audio/listen/1257219
Commentary: |-
    <i>Latadenata:</i> ([YouTube description](https://youtu.be/tIAlkc_2Zgc), excerpt)

    ...Is it... Really you?

    <hr>

    Made with:

    - FL Studio 20
    - Nexus
    - Peach
    - SNESVerb

    <i>Latadenata:</i> ([Newgrounds short description](https://www.newgrounds.com/album/317196/album-of-stories-and-imagination))

    Cute chill chiptune song!
---
Track: ¡Ahora o nunca!
Date First Released: October 23, 2023
Duration: '02:20'
URLs:
- https://youtu.be/XduBRPqMY7g
- https://soundcloud.com/latadenata/ahora-o-nunca
- https://www.newgrounds.com/audio/listen/1257531
Commentary: |-
    <i>Latadenata:</i> ([YouTube description](https://youtu.be/XduBRPqMY7g), excerpt)

    Show me everything you've learned!

    <hr>

    Made with:

    - FL Studio 20
    - Nexus
    - Ample Bass P
    - Ample Metal Hellrazer
    - 70s AbbeyRoad Drummer
    - Albion ONE
    - Alpine Project
    - Darksichord 3

    <i>Latadenata:</i> ([Newgrounds short description](https://www.newgrounds.com/album/317196/album-of-stories-and-imagination))

    Epic boss fight theme with elements of rock and orchestra!
---
Track: Cities of Entelequia
Date First Released: October 24, 2023
Duration: '02:34'
URLs:
- https://youtu.be/6_N9PHiMDQo
- https://soundcloud.com/latadenata/cities-of-entelequia
- https://www.newgrounds.com/audio/listen/1257723
Commentary: |-
    <i>Latadenata:</i> ([YouTube description](https://youtu.be/6_N9PHiMDQo), excerpt)

    June! You must escape! I swear this place is horrible! Just... Just ignore all the... cool buildings and... and all the happy people!

    <hr>

    Made with:

    - FL Studio 20
    - Nexus
    - Serum
    - Sforzando

    <i>Latadenata:</i> ([Newgrounds short description](https://www.newgrounds.com/album/317196/album-of-stories-and-imagination))

    Racing in a futuristic city!
---
Track: Artificial (Bip) Bop
Date First Released: October 25, 2023
Duration: '03:26'
Cover Artists:
- Detective Ren
Referenced Tracks:
- Derse Dreamers
URLs:
- https://youtu.be/Zu4RFXP9gbo
- https://soundcloud.com/latadenata/artificial-bip-bop
- https://www.newgrounds.com/audio/listen/1257954
Commentary: |-
    <i>Latadenata:</i> ([YouTube description](https://youtu.be/Zu4RFXP9gbo), excerpt)

    LET'S BUILD A BETTER WORLD.

    This specific cover art was made by Detective!<br>
    Check their Twitter here: https://x.com/Detective_Ren

    <hr>

    Made with:

    - FL Studio 20
    - Nexus
    - Serum
    - Genny
    - Sforzando
    - Peach
    - Krush
    - SNESVerb

    <i>Latadenata:</i> ([Newgrounds short description](https://www.newgrounds.com/album/317196/album-of-stories-and-imagination))

    when you have to fight two mad scientists
Lyrics: |-
    Humanity rejected
    Achieving perfection

    One, two, three, OBJECTIVE
    Three, two, one, TERMINATED

    Humanity rejected
    Achieving perfection

    Achieving perfection
    Must lose
    Humanity

    Nature it's flawed at its core
    Living beings can be something more
    Artificial Life designed to be perfect

    You must allow us to resurrect it
    Our broken world
    Full of useless emotions
    It's on your hands
    To comply our demands
---
Section: Bonus tracks
---
Track: Techno-Dancing Beauty
Additional Names:
- Name: >-
    (BONUS) Techno-Dancing Beauty
  Annotation: >-
    [YouTube](https://www.youtube.com/watch?v=j9fmh28dJHs)
Date First Released: October 25, 2023
Duration: '01:15'
URLs:
- https://youtu.be/j9fmh28dJHs
- https://soundcloud.com/latadenata/techno-dancing-beauty
- https://www.newgrounds.com/audio/listen/1258008
Commentary: |-
    <i>Latadenata:</i> ([YouTube description](https://youtu.be/j9fmh28dJHs), excerpt)

    ¡A ver como bailas! ¡Es ahora o nunca!

    this one is just a WIP but im never going to finish it so might as well just put it in too

    <hr>

    Made with:

    - FL Studio 20
    - Serum
    - Nexus
    - Ample Metal Hellrazer
    - K1v
    - Albion ONE
    - Darksichord 3

    <i>Latadenata:</i> ([Newgrounds short description](https://www.newgrounds.com/album/317196/album-of-stories-and-imagination))

    song that might sound when you dance fight
